diff --git a/bin/about-mabox b/bin/about-mabox
index 3f5a5e9..e754446 100755
--- a/bin/about-mabox
+++ b/bin/about-mabox
@@ -17,7 +17,7 @@ yad --title="About Mabox" --window-icon=mbcc \
--pversion="$(lsb_release -rs) ${OSCODE}" \
--image=mbcc \
--comments="${COMMENT}" \
- --copyright="Copyright 2016-2022, Daniel Napora " \
+ --copyright="Copyright 2016-2023, Daniel Napora " \
--license=GPL3 \
--website="https://maboxlinux.org" \
--website-label=maboxlinux.org \
diff --git a/bin/compton_toggle b/bin/compton_toggle
index 67b4b36..615f084 100755
--- a/bin/compton_toggle
+++ b/bin/compton_toggle
@@ -10,17 +10,17 @@ case "$LANG" in
;;
esac
-if [ $(pidof picom) ]; then
- killall picom
- notify-send -i compton -t 5000 "Compositor" "$DISABLED"
+if [ $(pgrep -u $USER -f picom) ]; then
+ killall -u $USER picom
+ notify-send.sh -i compton -t 5000 "Compositor" "$DISABLED"
else
CONFIGFILE="$HOME/.config/picom.conf"
if [ -f "$CONFIGFILE" ];then
picom --config "$CONFIGFILE" &
- notify-send -i compton -t 5000 "Compositor" "$ENABLED"
+ notify-send.sh -i compton -t 5000 "Compositor" "$ENABLED"
else
picom --config /dev/null &
- notify-send -i compton -t 5000 "Compositor" "$ENABLED"
+ notify-send.sh -i compton -t 5000 "Compositor" "$ENABLED"
fi
fi
exit
diff --git a/bin/conky_toggle b/bin/conky_toggle
index 5d8968e..0d6be9d 100755
--- a/bin/conky_toggle
+++ b/bin/conky_toggle
@@ -1,7 +1,7 @@
#!/bin/bash
-if pgrep -f "conky -c" ;then
-pkill conky
+if pgrep -u $USER -f "conky -c" ;then
+pkill -u $USER conky
else
SESSIONFILE=$HOME/.config/conky/conky-sessionfile
while read -r line; do
@@ -9,11 +9,11 @@ while read -r line; do
THIS_CONKY=$(echo "${line##+([[:space:]])}" | awk '{print $3}')
CONKYRC=${THIS_CONKY//\'/}
- if ! pgrep -f "${CONKYRC//\~/}"
+ if ! pgrep -u $USER -f "${CONKYRC//\~/}"
then
conky -c "${CONKYRC//\~/$HOME}" &
else
- pkill -f "${CONKYRC//\~/}"
+ pkill -u $USER -f "${CONKYRC//\~/}"
fi
fi
done < $SESSIONFILE